package io.xjar;

import java.util.Scanner;
import io.xjar.key.XKey;

public class XLauncher implements XConstants
{
    public final String[] args;
    public final XDecryptor xDecryptor;
    public final XEncryptor xEncryptor;
    public final XKey xKey;
    
    public XLauncher(final String... args) throws Exception {
        this.args = args;
        final Scanner scanner = new Scanner(System.in);
        final String algorithm = scanner.nextLine();
        final int keysize = Integer.parseInt(scanner.nextLine());
        final int ivsize = Integer.parseInt(scanner.nextLine());
        final String password = scanner.nextLine();
        this.xDecryptor = new XJdkDecryptor();
        this.xEncryptor = new XJdkEncryptor();
        this.xKey = XKit.key(algorithm, keysize, ivsize, password);
    }
}
